Bug 1874782 - Fails to resume external monitor
Summary: Fails to resume external monitor
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 36
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-02 08:26 UTC by Marko Bevc
Modified: 2022-07-25 10:30 UTC (History)
46 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-25 10:30:09 UTC
Type: Bug


Attachments (Terms of Use)
log after plugging in docking station (108.87 KB, text/plain)
2022-04-13 12:50 UTC, Steve Traylen
no flags Details

Description Marko Bevc 2020-09-02 08:26:32 UTC
1. Please describe the problem:
OS is failing to resume secondary monitor after going from idle state.

2. What is the Version-Release number of the kernel:
5.8.4-200.fc32

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Yes, worked for 5.7 kernels and older.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
Boot 5.8 kernel, wait for idle and monitor shuts off. Try to resume and only internal monitor is working. External (docking, HDMI via USB-c) is trying to resume but stays black.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
Yes.

6. Are you running any modules that not shipped with directly Fedora's kernel?:
No.

Comment 1 Marko Bevc 2020-09-08 09:27:48 UTC
Same happens on kernle-.5.8.6-201. But I did notice it only happens when using X11 and not on Wayland.

Comment 2 Marko Bevc 2020-09-13 19:03:31 UTC
Still present with 5.8.8-fc32.

Also perhaps related to: https://bugzilla.redhat.com/show_bug.cgi?id=1840021

Comment 3 Marko Bevc 2020-09-14 19:36:32 UTC
After some testing, seems either detecting monitor is too slow and with laptop closed doesn't detect external monitor quickly enough and goes back to sleep. (it tries as monitor blinks, but shuts down)

Comment 4 Marko Bevc 2020-09-14 19:51:57 UTC
Not sure if related, but disabling sleep on external power eventually wakes up monitor, but dmesg has some errors:
[  387.747807] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000062584252 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  388.320018] i915 0000:00:02.0: [drm] *ERROR* failed to allocate vcpi
[  391.320907] [drm:drm_dp_check_act_status [drm_kms_helper]] *ERROR* Failed to get ACT after 3000ms, last status: 00
[  391.679251] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000b3d8c323 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  395.113002] [drm:drm_dp_check_act_status [drm_kms_helper]] *ERROR* Failed to get ACT after 3000ms, last status: 00
[  396.150476] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000062584252 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  396.348115] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000062584252 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  396.929159] i915 0000:00:02.0: [drm] *ERROR* failed to allocate vcpi
[  399.930097] [drm:drm_dp_check_act_status [drm_kms_helper]] *ERROR* Failed to get ACT after 3000ms, last status: 00
[  400.280769] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  400.479025] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.389379] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.446100] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.532722] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.560854] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.648229] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.676011] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.704252] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.791898] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.820663] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.849035] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.936254] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.964002] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  406.991702] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  407.077868] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  407.106096] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  407.193253] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  413.386076] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  413.442356] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000a11bbb4e port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed

Comment 5 Marko Bevc 2020-09-22 08:25:53 UTC
Seems it's gotten worse in 5.8.10 as doesn't wake up monitor at at when docked and lid is closed.

Comment 6 Stephen John Smoogen 2020-11-21 18:39:32 UTC
Started seeing this after upgrade to [root@localhost etc]# uname -a
Linux localhost.localdomain 5.9.8-100.fc32.x86_64 #1 SMP Tue Nov 10 22:39:06 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

The system is

localhost.localdomain       
    description: Notebook
    product: 20QUS10L0L (LENOVO_MT_20QU_BU_Think_FM_ThinkPad P1 Gen 2)
    vendor: LENOVO
    version: ThinkPad P1 Gen 2

       *-display
             description: VGA compatible controller
             product: UHD Graphics 630 (Mobile)
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 02
             width: 64 bits
             clock: 33MHz
             capabilities: pciexpress msi pm vga_controller bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:151 memory:e9000000-e9ffffff memory:c0000000-cfffffff ioport:3000(size=64) memory:c0000-dffff


System would cycle both laptop and external monitor every couple of seconds 


Nov 21 13:25:46 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000eaf65adb port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:25:46 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000eaf65adb port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:04 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000ec88e6a5 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:05 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000ec88e6a5 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:05 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000ec88e6a5 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:11 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000ec88e6a5 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:17 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 000000001aca06ed port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:17 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 000000001aca06ed port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:17 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 000000001aca06ed port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:23 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 000000001aca06ed port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:28 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000f9e73992 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:29 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000f9e73992 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:29 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000f9e73992 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:35 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000f9e73992 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:40 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000cd243aa1 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:46 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000da1fdc79 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:46 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000da1fdc79 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:46 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000da1fdc79 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:52 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000da1fdc79 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:57 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000b081cd46 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:58 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000b081cd46 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:26:58 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000b081cd46 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
Nov 21 13:27:04 localhost kernel: [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000b081cd46 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed

Then needed to be powered off for 30 seconds. After that it booted up and the messages did occur 1 to 2 times in dmesg but system 'stabilized'.

Comment 7 Marko Bevc 2020-11-25 20:07:58 UTC
Seems it has been solved with 5.9 kernel on Fedora33. Closing.

Comment 8 Till Hofmann 2021-06-07 08:17:19 UTC
The issue has reappeared with kernel-5.12.8 (and I think also kernel-5.12.7):

[   54.699866] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   61.699269] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   76.565810] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   76.574050] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  106.572266] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  106.580710] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  113.700006] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  122.699111] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  133.700755] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  143.562426] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  143.570654] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  152.995166] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  159.705223] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  166.567471] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  166.575626] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  176.701038] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  193.518533] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  193.574839] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  200.701978] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  214.696759] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  221.702153] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  229.565678] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[  229.574107] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 0000000031d3acf8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed

This is with a Lenovo ThinkPad T470P and a Lenovo ThinkPad Ultra Dock with two external monitors, both connected via DP.

$ lsusb
Bus 002 Device 002: ID 17ef:1010 Lenovo ThinkPad Ultra Dock Hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 011: ID 058f:9540 Alcor Micro Corp. AU9540 Smartcard Reader
Bus 001 Device 009: ID 0bda:58db Realtek Semiconductor Corp. Integrated Camera
Bus 001 Device 007: ID 8087:0a2b Intel Corp. Bluetooth wireless interface
Bus 001 Device 005: ID 138a:0097 Validity Sensors, Inc.
Bus 001 Device 003: ID 1199:9079 Sierra Wireless, Inc. EM7455
Bus 001 Device 012: ID 062a:4102 MosArt Semiconductor Corp. Wireless Mouse
Bus 001 Device 010: ID 046a:00b0 Cherry GmbH Mechanical Keyboard
Bus 001 Device 013: ID 05a3:9331 ARC International Camera
Bus 001 Device 008: ID 0451:8042 Texas Instruments, Inc. Hub
Bus 001 Device 006: ID 17ef:100f Lenovo ThinkPad Ultra Dock Hub
Bus 001 Device 004: ID 0d8c:0105 C-Media Electronics, Inc. CM108 Audio Controller
Bus 001 Device 002: ID 17ef:1010 Lenovo ThinkPad Ultra Dock Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v6/7th Gen Core Processor Host Bridge/DRAM Registers (rev 05)
00:01.0 PCI bridge: Intel Corporation 6th-10th Gen Core Processor PCIe Controller (x16) (rev 05)
00:01.2 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x4) (rev 05)
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 630 (rev 04)
00:14.0 USB controller: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation 100 Series/C230 Series Chipset Family Thermal Subsystem (rev 31)
00:16.0 Communication controller: Intel Corporation 100 Series/C230 Series Chipset Family MEI Controller #1 (rev 31)
00:1c.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #1 (rev f1)
00:1c.4 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #5 (rev f1)
00:1d.0 PCI bridge: Intel Corporation 100 Series/C230 Series Chipset Family PCI Express Root Port #9 (rev f1)
00:1f.0 ISA bridge: Intel Corporation QM175 Chipset LPC/eSPI Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation 100 Series/C230 Series Chipset Family Power Management Controller (rev 31)
00:1f.3 Audio device: Intel Corporation CM238 HD Audio Controller (rev 31)
00:1f.4 SMBus: Intel Corporation 100 Series/C230 Series Chipset Family SMBus (rev 31)
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection (5) I219-LM (rev 31)
02:00.0 3D controller: NVIDIA Corporation GM108M [GeForce 940MX] (rev a2)
03:00.0 Network controller: Intel Corporation Wireless 8265 / 8275 (rev 78)
04:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS522A PCI Express Card Reader (rev 01)
05:00.0 Non-Volatile memory controller: Toshiba Corporation XG4 NVMe SSD Controller (rev 01)

$ uname -srvp
Linux 5.12.8-300.fc34.x86_64 #1 SMP Fri May 28 15:20:54 UTC 2021 x86_64

Comment 9 Till Hofmann 2021-06-10 08:16:32 UTC
$ uname -srvp
Linux 5.12.9-300.fc34.x86_64 #1 SMP Thu Jun 3 13:51:40 UTC 2021 x86_64

Nothing has changed, the issue still occurs.

Comment 10 Bennet Schulz 2021-07-02 14:34:05 UTC
$ uname -srvp
Linux 5.12.13-300.fc34.x86_64 #1 SMP Wed Jun 23 16:18:11 UTC 2021 x86_64

Same here.

Comment 11 xpusostomos 2021-07-04 02:15:46 UTC
I'm crashing every day with this, kernel 5.11.0, Lenovo P14s AMD with Gen2 thunderbolt dock. When I try and reboot I get an error like this:

drm:drm_dp_send_dpcd_read drm_kms_helper ERROR mstb port DPCD read on addr 0x60 for 1 bytes NAKed

Comment 12 psaikodaed 2021-07-20 07:50:12 UTC
Same error occurs to me with ThinkPad L480 and multimonitor setup.

[drm:drm_dp_send_link_address [drm_kms_helper]] *ERROR* Sending link address failed with -5
[drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000eff4a5b6 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed


Linux 5.8.0-59-generic x86_64

Comment 13 Dávid Halász 2021-07-26 07:24:02 UTC
ThinkPad T490s with 5.13.4-200.fc34.x86_64 has the monitors, but not the USB ports:

[   37.935658] thunderbolt 0-1: new device found, vendor=0x108 device=0x1720
[   37.935661] thunderbolt 0-1: Lenovo ThinkPad Thunderbolt 3 Dock
[   38.453528] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000702f56ed port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   38.466018] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000702f56ed port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   38.476807] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000702f56ed port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   44.989147] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000702f56ed port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   45.000246] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000702f56ed port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   45.011356] [drm:drm_dp_mst_dpcd_read [drm_kms_helper]] *ERROR* mstb 00000000702f56ed port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed

Comment 14 Till Hofmann 2021-08-05 08:59:46 UTC
For me, deleting ~/.config/monitors.xml actually solved the issue, so this was not a kernel bug after all (at least here).

Comment 15 aleskandro 2021-08-07 12:11:15 UTC
Hello,

I tried on a (fresh) Fedora 34 with both:
- Linux 5.13.7-200.fc34.x86_64
- Linux 5.14.0-0.rc4.20210804gitd5ad8ec3cfb5.36.fc35.x86_64 (rawhide repository)

# Hardware information:

System-manufacturer :  LENOVO
System-product-name :  20T1S39D1D
Bios-release-date :  04/19/2021
Bios-version :  N2YET28W (1.17 )
System-family :  ThinkPad T14s Gen 1

00:02.0 VGA compatible controller: Intel Corporation CometLake-U GT2 [UHD Graphics] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 22af
	Flags: bus master, fast devsel, latency 0, IRQ 138
	Memory at e9000000 (64-bit, non-prefetchable) [size=16M]
	Memory at a0000000 (64-bit, prefetchable) [size=512M]
	I/O ports at 4000 [size=64]
	Expansion ROM at 000c0000 [virtual] [disabled] [size=128K]
	Capabilities: [40] Vendor Specific Information: Len=0c <?>
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [ac] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [100] Process Address Space ID (PASID)
	Capabilities: [200] Address Translation Service (ATS)
	Capabilities: [300] Page Request Interface (PRI)
	Kernel driver in use: i915
	Kernel modules: i915

Using a **ThinkPad Thunderbolt 3 Dock Gen 2/Workstation Dock Gen 2**.

Both the dockstation and the CPU should be compatible with a maximum of 3 monitors.

Firmware is at latest version (while writing) as shown above. 

Firmware is configured with:

- BIOS assist mode enabled
- TPM disabled
- No security level for Thunderbolt 3
- Allocated graphics memory: 512M
- Tested both with and without "pre-OS support/loading"

### Connections

1. Laptop Monitor
2. HDMI 4K Monitor
3. HDMI/Display Port 4K Monitor

External monitors are the following ones:

- Samsung U28E590D (Tried both DP and HDMI)
- Samsung U28E570D (No extensive "test" with DP)


## Scenario

Tried both on Xorg and Wayland. Moreover, also before getting up the UI,
precisely at the LUKS passphrase immediately after Grub, I got only Laptop monitor
and the third one, (both in the case of HDMI or DP connection). Second one is ignored.

Doubt is that the Dock station itself cannot support two 4K external monitors.

Note that ~/.config/monitors.xml is deleted for each test.

### dmesg/wayland

while setting the monitors configuration I ever get the same messages (though not anytime).

[ 1971.053124] show_signal_msg: 1 callbacks suppressed
[ 1971.053126] gnome-shell[2604]: segfault at 1 ip 0000000000000001 sp 00007fff5d9f67f8 error 14
[ 1971.053132] Code: Unable to access opcode bytes at RIP 0xffffffffffffffd7.
[ 1973.862709] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000015dd2979 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 1973.920669] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000015dd2979 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 1974.022107] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000015dd2979 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed

### Tests done

1st (FHD Laptop eDP)   2nd (4K HDMI monitor)            3rd (4k HDMI/DP)     Result     
on                     3840x2060                        3840x2060            2nd is not working
off                    3840x2060                        3840x2060            2nd is not working
on                     3840x2060                        off                  2nd is working
on                     1920x1080                        1920x1080            All working
on                     1920x1080                        2560x1440            All working
on                     2560x1440                        1920x1080            All working

on                     2560x1440                        2560x1440            Setting 3rd to 2K doesn't work 
									     if 2nd is already set
									     (resolution kept to FHD, previous one)
									     
on                     3840x2060                        1920x1080            Setting 2nd to 4k doesn't work
									     (resolution kept at 2K, previous one)
									     
									     
Monitor set at 1920x1080 works at 60hz.
Monitor set at 3840x2160 works at 30hz.

eDP is always at FHD, 60hz.



### dmesg/xorg:

While testing on Xorg, I got two more errors.


[ 1983.399617] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000015dd2979 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 1983.444638] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000015dd2979 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 1983.489229] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000015dd2979 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 1983.534098] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000015dd2979 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 1983.578257] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000015dd2979 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 1983.622452] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000015dd2979 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 1986.985498] rfkill: input handler enabled
[ 1996.229580] rfkill: input handler disabled
[ 2036.419751] i915 0000:00:02.0: [drm] *ERROR* CPU pipe A FIFO underrun
[ 2154.615699] i915 0000:00:02.0: [drm] *ERROR* CPU pipe B FIFO underrun

### Other info


I also tried with Display Port only connections, behavior seems the same (but cannot verify adequately now).

Tried on another laptop (Dell XPS 13 9350) with an older CPU (i7 6560U), Intel Iris Graphics 540 and
Linux 5.13.7-200.fc34.x86_64. I used the same Dock Station and monitors.

The two external monitors are ok at 4k (the internal eDP, that should be at 3200x1800, appears stretched in width: not investigated other than a few minutes). However, I'd be happy to "loose" eDP monitor in favor of the two external 4K monitors.

If any help is needed for testing in this kind of configurations, and it is compatible with my time out of my work to do by now, I'm available.

Comment 16 Matt Faust 2021-08-19 13:41:48 UTC
Had similar issues with P1 Gen3 and Thinkpad Thunderbolt 3 Docking station (40AN) here is what fixed my issues:

Environment:
Fedora 34

Installed:
fwupdmgr

sudo vi /etc/fwupd/remotes.d/lvfs-testing.conf

#Change Enabled=false --> true
Enabled=true

#Save:
:wq

sudo fwupdmgr refresh --force

sudo fwupdmgr get-updates

sudo fwupdmgr update

#Multiple items related to the Thunderbolt 3 and dock are updated.

#Reboot:
sudo init 6

Now for the first time ever I can "live" dock the laptop and all the USB devices (Keyboard,mouse,etc...) work again... My 2 Display port monitors always came back, but the USB devices did not previously.

Hope this helps.

Comment 17 xpusostomos 2021-08-19 14:27:41 UTC
Well what the heck is that all about. Something something update firmware I suppose.

Comment 18 Milan Zink 2021-11-15 12:55:50 UTC
Issue still somehow present on F35 even with the latest kernel from kernel test week - 5.15.2-200.fc35.x86_64 

[   86.919597] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000002b924d8 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   86.926636] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000002b924d8 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   86.933689] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000002b924d8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   86.940693] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000002b924d8 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   86.947628] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000002b924d8 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   86.954643] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000002b924d8 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed

The only difference is that it cannot resume the internal laptop display

Nov 15 13:40:07 gnome-shell[2432]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:07 gnome-shell[2432]: Page flip discarded: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:07 gnome-shell[2432]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:07 gnome-shell[2432]: Page flip discarded: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:07 gnome-shell[2432]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:07 gnome-shell[2432]: Page flip discarded: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:10 gnome-shell[2432]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:10 gnome-shell[2432]: Page flip discarded: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:14 gnome-shell[2432]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:14 gnome-shell[2432]: Page flip discarded: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:14 gnome-shell[2432]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
Nov 15 13:40:14 gnome-shell[2432]: Page flip discarded: drmModeAtomicCommit: Invalid argument

Comment 19 Peter Lemenkov 2022-04-11 14:30:16 UTC
Hello!
I'm suffering from this as well. Good news I have a 100% reproducer (I've got a user-space application which triggers USB disconnection almost instantly). I believe the issue is related to some recent (~1 year) Lenovo firmware update since in order to resolve USB operation at doc-station I need to follow a very bizarre protocol:

* Power off laptop
* Power it on again
* Ctrl-alt-delete from laptop's keyboard (external one attached to dock-station still doesn't work(
* Press enter on keyboard attached to doc-station (I guess it triggers something at UEFI level)

Comment 20 Steve Traylen 2022-04-13 12:03:39 UTC
Seeing this also in rawhide - 5.17.2-300

Comment 21 Steve Traylen 2022-04-13 12:50:10 UTC
Created attachment 1872160 [details]
log after plugging in docking station

Linux fedora 5.17.2-300.fc36.x86_64 #1 SMP PREEMPT Fri Apr 8 14:35:55 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux


log after plugging in docking station.

Lenovo X1 carbon pro 6th edition. 

most significat bits are as below.

505 Apr 13 14:42:41 fedora nm-dispatcher[8086]: Failed to try-restart puppetagent.service: Access denied
506 Apr 13 14:42:41 fedora nm-dispatcher[8086]: See system logs and 'systemctl status puppetagent.service' for details.
507 Apr 13 14:42:41 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000003f173825 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
508 Apr 13 14:42:41 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000003f173825 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
509 Apr 13 14:42:41 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000003f173825 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
510 Apr 13 14:42:41 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000003f173825 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
511 Apr 13 14:42:41 fedora NetworkManager[791]: <info>  [1649853761.9408] policy: set 'Wired connection 2' (enp59s0u1u1) as default for IPv4 routing and DNS
512 Apr 13 14:42:41 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000003f173825 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
513 Apr 13 14:42:41 fedora gnome-shell[1591]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
514 Apr 13 14:42:41 fedora NetworkManager[791]: <warn>  [1649853761.9631] dns-sd-resolved[5e5f57d47d98a19b]: send-updates SetLinkDomains@4 failed: GDBus.Error:org.freedesktop.resolve1.NoSuchLink: Link 4 not     known
515 Apr 13 14:42:41 fedora gnome-shell[1591]: Page flip discarded: drmModeAtomicCommit: Invalid argument
516 Apr 13 14:42:42 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000003f173825 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
517 Apr 13 14:42:42 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000003f173825 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
518 Apr 13 14:42:42 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000003f173825 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
519 Apr 13 14:42:42 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000003f173825 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
520 Apr 13 14:42:42 fedora kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000003f173825 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
521 Apr 13 14:42:42 fedora gnome-shell[1591]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
522 Apr 13 14:42:42 fedora gnome-shell[1591]: Page flip discarded: drmModeAtomicCommit: Invalid argument
523 Apr 13 14:42:42 fedora gnome-shell[1591]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
524 Apr 13 14:42:42 fedora gnome-shell[1591]: Page flip discarded: drmModeAtomicCommit: Invalid argument
525 Apr 13 14:42:42 fedora gnome-shell[1591]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
526 Apr 13 14:42:42 fedora gnome-shell[1591]: Page flip discarded: drmModeAtomicCommit: Invalid argument
527 Apr 13 14:42:42 fedora gnome-shell[1591]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
528 Apr 13 14:42:42 fedora gnome-shell[1591]: Page flip discarded: drmModeAtomicCommit: Invalid argument
529 Apr 13 14:42:42 fedora gnome-shell[1591]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument
530 Apr 13 14:42:42 fedora gnome-shell[1591]: Page flip discarded: drmModeAtomicCommit: Invalid argument
531 Apr 13 14:42:42 fedora gnome-shell[1591]: Failed to post KMS update: drmModeAtomicCommit: Invalid argument

Comment 22 Francisco Javier Lopez Y Grueber 2022-04-27 07:30:53 UTC
Same happens on my P1 

░░ The unit NetworkManager-dispatcher.service has successfully entered the 'dead' state.
Apr 27 09:07:25 slapping.laptop audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=NetworkManager-dispatcher comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=>
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): EDID vendor "DEL", prod id 53465
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Using hsync ranges from config file
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Using vrefresh ranges from config file
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Printing DDC gathered Modelines:
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "1920x1080"x0.0  148.50  1920 2008 2052 2200  1080 1084 1089 1125 +hsync +vsync (67.5 kHz eP)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
Apr 27 09:07:25 slapping.laptop /usr/libexec/gdm-x-session[5029]: (II) modeset(0): Modeline "1600x900"x60.0  119.00  1600 1696 1864 2128  900 901 904 932 -hsync +vsync (55.9 kHz e)
Apr 27 09:07:31 slapping.laptop kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000008ed89b34 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Apr 27 09:07:31 slapping.laptop kernel: i915 0000:00:02.0: [drm] *ERROR* mstb 000000008ed89b34 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
Apr 27 09:10:47 slapping.laptop wpa_supplicant[2761]: wlp82s0: CTRL-EVENT-SIGNAL-CHANGE above=1 signal=-68 noise=9999 txrate=26000
Apr 27 09:11:07 slapping.laptop rtkit-daemon[2499]: Supervising 8 threads of 5 processes of 1 users.
Apr 27 09:11:07 slapping.laptop rtkit-daemon[2499]: Supervising 8 threads of 5 processes of 1 users.
Apr 27 09:11:59 slapping.laptop wpa_supplicant[2761]: wlp82s0: CTRL-EVENT-SIGNAL-CHANGE above=0 signal=-67 noise=9999 txrate=260000
Apr 27 09:12:10 slapping.laptop wpa_supplicant[2761]: wlp82s0: CTRL-EVENT-SIGNAL-CHANGE above=1 signal=-68 noise=9999 txrate=260000
Apr 27 09:14:10 slapping.laptop wpa_supplicant[2761]: wlp82s0: WPA: Group rekeying completed with f0:b0:14:7a:83:e2 [GTK=CCMP]
Apr 27 09:15:21 slapping.laptop wpa_supplicant[2761]: wlp82s0: CTRL-EVENT-SIGNAL-CHANGE above=0 signal=-70 noise=9999 txrate=260000
Apr 27 09:17:13 slapping.laptop wpa_supplicant[2761]: wlp82s0: CTRL-EVENT-SIGNAL-CHANGE above=1 signal=-70 noise=9999 txrate=260000
Apr 27 09:17:25 slapping.laptop rtkit-daemon[2499]: Supervising 8 threads of 5 processes of 1 users.
Apr 27 09:17:25 slapping.laptop rtkit-daemon[2499]: Supervising 8 threads of 5 processes of 1 users.
Apr 27 09:17:25 slapping.laptop rtkit-daemon[2499]: Supervising 8 threads of 5 processes of 1 users.
Apr 27 09:17:25 slapping.laptop rtkit-daemon[2499]: Supervising 8 threads of 5 processes of 1 users.
uname -a 
Linux slapping.laptop 5.17.4-200.fc35.x86_64 #1 SMP PREEMPT Wed Apr 20 15:37:53 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
░

Comment 23 Francisco Javier Lopez Y Grueber 2022-04-27 07:32:07 UTC
Dmesg shows the following 

[ 2574.717676] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[ 2574.717682] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q27 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[ 2574.821908] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[ 2574.821918] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q26 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[ 2574.927172] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[ 2574.927200] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q26 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[ 2579.367756] thunderbolt 0-1: new device found, vendor=0x108 device=0x1720
[ 2579.367767] thunderbolt 0-1: Lenovo ThinkPad Thunderbolt 3 Dock
[ 2579.561772] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d43763f2 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2589.082394] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d43763f2 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2589.110052] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d43763f2 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2589.138076] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d43763f2 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2908.278362] show_signal_msg: 129 callbacks suppressed
[ 2908.278370] xdg-desktop-por[6041]: segfault at 0 ip 00007f1acfa9923e sp 00007fff39bf3748 error 4 in libc.so.6[7f1acf9e7000+176000]
[ 2908.278397] Code: 84 00 00 00 00 00 66 0f 1f 44 00 00 f3 0f 1e fa 89 f8 31 d2 c5 c1 ef ff 09 f0 25 ff 0f 00 00 3d 80 0f 00 00 0f 8f 52 03 00 00 <c5> fe 6f 0f c5 f5 74 06 c5 fd da c1 c5 fd 74 c7 c5 fd d7 c8 85 c9
[ 2919.515003] pci_bus 0000:05: Allocating resources
[ 2919.925686] thunderbolt 0-1: device disconnected
[ 2920.041711] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[ 2920.041740] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q27 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[ 2921.266274] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[ 2921.266296] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q26 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[ 2921.370195] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[ 2921.370222] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q27 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[ 2921.472777] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[ 2921.472805] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q26 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[ 2925.879408] thunderbolt 0-1: new device found, vendor=0x108 device=0x1720
[ 2925.879411] thunderbolt 0-1: Lenovo ThinkPad Thunderbolt 3 Dock
[ 2926.102164] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000064c2d98 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2926.171849] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000064c2d98 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2926.236700] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000064c2d98 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2926.365929] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000064c2d98 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2936.076849] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000064c2d98 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2936.104623] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000064c2d98 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2936.132623] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000064c2d98 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 2936.160576] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000064c2d98 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[ 3008.237904] usb 1-2: new low-speed USB device number 8 using xhci_hcd
[ 3008.368495] usb 1-2: New USB device found, idVendor=17ef, idProduct=6044, bcdDevice= 0.08
[ 3008.368508] usb 1-2: New USB device strings: Mfr=0, Product=2, SerialNumber=0
[ 3008.368514] usb 1-2: Product: ThinkPad USB Laser Mouse
[ 3008.373589] input: ThinkPad USB Laser Mouse as /devices/pci0000:00/0000:00:14.0/usb1/1-2/1-2:1.0/0003:17EF:6044.0006/input/input28
[ 3008.374374] hid-generic 0003:17EF:6044.0006: input,hidraw0: USB HID v1.11 Mouse [ThinkPad USB Laser Mouse] on usb-0000:00:14.0-2/input0
[ 3026.469556] usb 1-1: new low-speed USB device number 9 using xhci_hcd
[ 3026.608501] usb 1-1: New USB device found, idVendor=046a, idProduct=0011, bcdDevice= 1.00
[ 3026.608514] usb 1-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 3026.620425] input: HID 046a:0011 as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1:1.0/0003:046A:0011.0007/input/input29
[ 3026.672237] hid-generic 0003:046A:0011.0007: input,hidraw1: USB HID v1.11 Keyboard [HID 046a:0011] on usb-0000:00:14.0-1/input0

Comment 24 Francisco Javier Lopez Y Grueber 2022-04-28 06:20:42 UTC
thunderbolt disconnect 

[51861.229300] i915 0000:00:02.0: [drm] *ERROR* mstb 0000000008ac47c0 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[52323.881237] pci_bus 0000:05: Allocating resources
[52324.283845] thunderbolt 0-1: device disconnected
[52324.398181] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[52324.398212] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q27 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[52325.656997] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[52325.657022] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q26 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[52325.760911] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[52325.760936] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q27 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[52325.863553] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PCI0.PEG0.PEGP.NVDN], AE_NOT_FOUND (20211217/psargs-330)
[52325.863582] ACPI Error: Aborting method \_SB.PCI0.LPCB.EC._Q26 due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
[52330.151717] thunderbolt 0-1: new device found, vendor=0x108 device=0x1720
[52330.151721] thunderbolt 0-1: Lenovo ThinkPad Thunderbolt 3 Dock
[52342.293420] i915 0000:00:02.0: [drm] *ERROR* Sending link address failed with -5

Comment 25 Ben Cotton 2022-05-12 15:37:34 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 26 Stephen John Smoogen 2022-05-12 17:05:35 UTC
I have not seen the main problem with monitors not working reoccurring in Fedora 35 on my ThinkPad P1 Gen2 after the BIOS was updated to 1.42. I have 2 external monitors (one hdmi, one displayport) and I see errors for 

[   43.087046] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000c2720e35 port 1: DPCD read on addr 0x4b0 for 1 bytes NAKed
[   43.105381] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000c2720e35 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed

which I think are the ports I do not have anything plugged into.. or maybe they are the ones which are plugged in. 

Linux ssmoogen-rh.localdomain 5.17.5-200.fc35.x86_64 #1 SMP PREEMPT Thu Apr 28 15:41:41 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

Comment 27 Phil 2022-06-01 06:38:25 UTC
Same problem with a freshly installed Fedora 36 running Xorg, with any F36-kernel: After waking up from suspend the external display vanished.

Hardware:
- Lenovo X1 Carbon Gen9
- Lenovo ThinkPad Universal Thunderbolt 4 dock
- Philips 278B1 connected via HDMI
- 4k

Tried the fwupd-hack from above and did all updates, which didn't help, though.

--%snip%--
[418915.752420] i915 0000:00:02.0: [drm] *ERROR* failed to allocate vcpi
[418918.754381] i915 0000:00:02.0: [drm] *ERROR* Failed to get ACT after 3000ms, last status: 00
[418919.194942] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 5: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418919.208495] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 6: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418919.217982] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418919.228243] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418921.892381] i915 0000:00:02.0: [drm] *ERROR* Failed to get ACT after 3000ms, last status: 04
[418926.919478] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 5: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418926.931466] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 6: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418926.939465] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418926.947425] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418926.974453] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 5: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418926.986536] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 6: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418926.994449] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418927.002396] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418927.029532] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 5: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418927.041587] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 6: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418927.049589] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418927.057581] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418927.084459] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 5: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418927.096451] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 6: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418927.104388] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418927.112365] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418933.923691] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 5: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418933.935528] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 6: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418933.943524] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418933.951508] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418933.978545] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 5: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418933.990585] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 6: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418933.998515] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418934.006519] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418934.033537] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 5: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418934.045523] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 6: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418934.053500] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418934.061391] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418934.088558] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 5: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418934.100444] i915 0000:00:02.0: [drm] *ERROR* mstb 00000000d064b178 port 6: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418934.108455] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 2: DPCD read on addr 0x4b0 for 1 bytes NAKed
[418934.116358] i915 0000:00:02.0: [drm] *ERROR* mstb 000000007e7b8300 port 3: DPCD read on addr 0x4b0 for 1 bytes NAKed
--%snip%--

Comment 28 Marko Bevc 2022-07-25 10:30:09 UTC
This seems to work fine now on F36 and using 5.18.13-200.fc36.x86_64 with T490s.


Note You need to log in before you can comment on or make changes to this bug.